Option Value Update
Updates a single option value by its GUID.
JWT token to authenticate the request.
In: header
API key, sent as a request header.
In: header
Path Parameters
GUID of the option value to update.
uuidRequest Body
application/json
The option value with updated fields.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/documents/option/c9bf9e57-1685-4c89-bafb-ff5af830be8a/update" \ -H "Content-Type: application/json" \ -d '{ "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL" }'{ "result": { "data": { "optionValue": { "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a", "entityType": "DocumentSolutionConfiguration", "entityId": "a3bb189e-8bf9-3888-9912-ace4e6543002", "optionDefinitionId": "", "customKey": "watermark.text", "customGroup": "rendering", "value": "CONFIDENTIAL", "effectiveKey": "watermark.text", "effectiveGroup": "rendering", "systemType": "string", "createdDate": "2026-07-14T09:30:00.000Z", "lastModifiedDate": "2026-07-14T09:30:00.000Z" } }, "statusCode": 200, "message": "OK" }, "origin": "PUT https://api.doctavian.com/v1/documents/option/{optionValueGuid}/update", "dateTime": "2026-07-14T09:30:00.000Z", "operationId": "716ffe10e7dc6e05ebcfed91d8b23eea", "userId": "29d9725c-3e36-4a73-80cc-41ed521af336"}{ "userId": "3eaec719-3294-404f-902f-bd8f190c6107", "error": { "statusCode": 400, "message": "Name is required.", "innerErrors": [ { "code": "DATA_NAME_REQUIRED", "message": "Name is required.", "userMessage": "Name is required." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/option/{optionValueGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "5e055ac24665461e760da954f0447dc5"}{ "error": { "statusCode": 401, "message": "The request could not be authenticated.", "innerErrors": [ { "code": "UNAUTHORIZED", "message": "The request could not be authenticated.", "userMessage": "Your session has expired or is invalid. Please sign in again." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/option/{optionValueGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "0e056b2cbf080ffbdc07458ec3b772ff", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "statusCode": 404, "message": "The requested resource was not found.", "innerErrors": [ { "code": "NOT_FOUND_BY_ID", "message": "The requested resource was not found.", "userMessage": "We couldn't find that resource. Check the id and try again." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/option/{optionValueGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "cb227e3e7d40d5be948ba3a466171272", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "userId": "c7f3f68d-4432-4859-bcbc-35505c337577", "error": { "statusCode": 500, "message": "An unexpected error occurred.", "innerErrors": [ { "code": "GET_DATA_SOURCE_ERROR", "message": "An unexpected error occurred.", "userMessage": "An unexpected error occurred." } ] }, "origin": "PUT https://api.doctavian.com/v1/documents/option/{optionValueGuid}/update", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "80b4f745949278973bdf9f11b250d675"}